### MATLAB_SBML_STRUCTURE_FUNCTIONS\SPECIESCONCENTRATIONRULE

The functions allow users to create and work with the SBML SpeciesConcentrationRule structure.

Function are:

#### SpeciesConcentrationRule = SpeciesConcentrationRule_create(level(optional), version(optional) )

Takes

1. level, an integer representing an SBML level (optional)
2. version, an integer representing an SBML version (optional)

Returns

1. a MATLAB_SBML SpeciesConcentrationRule structure of the appropriate level and version

NOTE: the optional level and version preserve backwards compatibility a missing version argument will default to L1V2; L2V4 or L3V1 missing both arguments will default to L3V1

#### formula = SpeciesConcentrationRule_getFormula(SBMLSpeciesConcentrationRule)

Takes

1. SBMLSpeciesConcentrationRule, an SBML SpeciesConcentrationRule structure

Returns

1. the value of the formula attribute

#### species = SpeciesConcentrationRule_getSpecies(SBMLSpeciesConcentrationRule)

Takes

1. SBMLSpeciesConcentrationRule, an SBML SpeciesConcentrationRule structure

Returns

1. the value of the species attribute

#### type = SpeciesConcentrationRule_getType(SBMLSpeciesConcentrationRule)

Takes

1. SBMLSpeciesConcentrationRule, an SBML SpeciesConcentrationRule structure

Returns

1. the value of the type attribute

#### value = SpeciesConcentrationRule_isSetFormula(SBMLSpeciesConcentrationRule)

Takes

1. SBMLSpeciesConcentrationRule, an SBML SpeciesConcentrationRule structure

Returns

1. value =
   - 1 if the formula attribute is set
   - 0 otherwise

#### value = SpeciesConcentrationRule_isSetSpecies(SBMLSpeciesConcentrationRule)

Takes

1. SBMLSpeciesConcentrationRule, an SBML SpeciesConcentrationRule structure

Returns

1. value =
   - 1 if the species attribute is set
   - 0 otherwise

#### value = SpeciesConcentrationRule_isSetType(SBMLSpeciesConcentrationRule)

Takes

1. SBMLSpeciesConcentrationRule, an SBML SpeciesConcentrationRule structure

Returns

1. value =
   - 1 if the type attribute is set
   - 0 otherwise

#### SBMLSpeciesConcentrationRule = SpeciesConcentrationRule_setFormula(SBMLSpeciesConcentrationRule, formula)

Takes

1. SBMLSpeciesConcentrationRule, an SBML SpeciesConcentrationRule structure
2. formula; a string representing the formula to be set

Returns

1. the SBML SpeciesConcentrationRule structure with the new value for the formula attribute

#### SBMLSpeciesConcentrationRule = SpeciesConcentrationRule_setSpecies(SBMLSpeciesConcentrationRule, species)

Takes

1. SBMLSpeciesConcentrationRule, an SBML SpeciesConcentrationRule structure
2. species; a string representing the species to be set

Returns

1. the SBML SpeciesConcentrationRule structure with the new value for the species attribute

#### SBMLSpeciesConcentrationRule = SpeciesConcentrationRule_setType(SBMLSpeciesConcentrationRule, type)

Takes

1. SBMLSpeciesConcentrationRule, an SBML SpeciesConcentrationRule structure
2. type; a string representing the type to be set

Returns

1. the SBML SpeciesConcentrationRule structure with the new value for the type attribute

#### SBMLSpeciesConcentrationRule = SpeciesConcentrationRule_unsetFormula(SBMLSpeciesConcentrationRule)

Takes

1. SBMLSpeciesConcentrationRule, an SBML SpeciesConcentrationRule structure

Returns

1. the SBML SpeciesConcentrationRule structure with the formula attribute unset

#### SBMLSpeciesConcentrationRule = SpeciesConcentrationRule_unsetSpecies(SBMLSpeciesConcentrationRule)

Takes

1. SBMLSpeciesConcentrationRule, an SBML SpeciesConcentrationRule structure

Returns

1. the SBML SpeciesConcentrationRule structure with the species attribute unset

#### SBMLSpeciesConcentrationRule = SpeciesConcentrationRule_unsetType(SBMLSpeciesConcentrationRule)

Takes

1. SBMLSpeciesConcentrationRule, an SBML SpeciesConcentrationRule structure

Returns

1. the SBML SpeciesConcentrationRule structure with the type attribute unset

#### SBMLSpeciesConcentrationRule = SpeciesConcentrationRule_unsetVariable(SBMLSpeciesConcentrationRule)

Takes

1. SBMLSpeciesConcentrationRule, an SBML SpeciesConcentrationRule structure

Returns

1. the SBML SpeciesConcentrationRule structure with the variable attribute unset